package com.ruoyi.ems.domain;

import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 国网电价配置对象 adm_gw_elecprice_config
 * 
 * @author ruoyi
 * @date 2024-07-23
 */
public class ElecGwPriceConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 配置代码 */
    @Excel(name = "配置代码")
    private String cfgCode;

    /** 用电分类 */
    private Long elecType;

    /** 用电分类*/
    @Excel(name = "用电分类")
    private String elecTypeName;

    /** 电压等级 */
    @Excel(name = "电压等级")
    private String voltageLevel;

    /** 电度用电价格 Off-Peak Price  */
    @Excel(name = "平时段电价")
    private Double opPrice;

    /** 尖峰时段价格 Critical Peak Price */
    @Excel(name = "尖峰时段价格")
    private Double cpPrice;

    /** 高峰时段价格 Peak Price */
    @Excel(name = "峰时段价格")
    private Double pPrice;

    /** 谷时段价格 Valley Price */
    @Excel(name = "谷时段价格")
    private Double vPrice;

    /** 谷时段价格 Deep Valley Price */
    @Excel(name = "深谷时段价格")
    private Double dvPrice;

    /** 最大需量用电价格 */
    @Excel(name = "最大需量用电价格")
    private Double maxReqPrice;

    /** 变压器容量用电价格 */
    @Excel(name = "变压器容量用电价格")
    private Double transCapacityPrice;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCfgCode() {
        return cfgCode;
    }

    public void setCfgCode(String cfgCode) {
        this.cfgCode = cfgCode;
    }

    public Long getElecType() {
        return elecType;
    }

    public void setElecType(Long elecType) {
        this.elecType = elecType;
    }

    public String getElecTypeName() {
        return elecTypeName;
    }

    public void setElecTypeName(String elecTypeName) {
        this.elecTypeName = elecTypeName;
    }

    public String getVoltageLevel() {
        return voltageLevel;
    }

    public void setVoltageLevel(String voltageLevel) {
        this.voltageLevel = voltageLevel;
    }

    public Double getOpPrice() {
        return opPrice;
    }

    public void setOpPrice(Double opPrice) {
        this.opPrice = opPrice;
    }

    public Double getCpPrice() {
        return cpPrice;
    }

    public void setCpPrice(Double cpPrice) {
        this.cpPrice = cpPrice;
    }

    public Double getpPrice() {
        return pPrice;
    }

    public void setpPrice(Double pPrice) {
        this.pPrice = pPrice;
    }

    public Double getvPrice() {
        return vPrice;
    }

    public void setvPrice(Double vPrice) {
        this.vPrice = vPrice;
    }

    public Double getDvPrice() {
        return dvPrice;
    }

    public void setDvPrice(Double dvPrice) {
        this.dvPrice = dvPrice;
    }

    public Double getMaxReqPrice() {
        return maxReqPrice;
    }

    public void setMaxReqPrice(Double maxReqPrice) {
        this.maxReqPrice = maxReqPrice;
    }

    public Double getTransCapacityPrice() {
        return transCapacityPrice;
    }

    public void setTransCapacityPrice(Double transCapacityPrice) {
        this.transCapacityPrice = transCapacityPrice;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cfgCode", getCfgCode())
            .append("elecType", getElecType())
            .append("voltageLevel", getVoltageLevel())
            .append("cpPrice", getCpPrice())
            .append("pPrice", getpPrice())
            .append("opPrice", getOpPrice())
            .append("vPrice", getvPrice())
            .append("dvPrice", getDvPrice())
            .append("maxReqPrice", getMaxReqPrice())
            .append("transCapacityPrice", getTransCapacityPrice())
            .toString();
    }
}
